Bug 1062370 (CVE-2014-1912) - CVE-2014-1912 python: buffer overflow in socket.recvfrom_into()
Summary: CVE-2014-1912 python: buffer overflow in socket.recvfrom_into()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-1912
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140114,repor...
Depends On: 1062374 1062375 1062376 1157721 1187779 1206572
Blocks: 1062373
TreeView+ depends on / blocked
 
Reported: 2014-02-06 18:16 UTC by Vincent Danen
Modified: 2019-06-08 19:54 UTC (History)
25 users (show)

Fixed In Version: python 2.7.7, python 3.3.4, python 3.4.0
Doc Type: Bug Fix
Doc Text:
It was discovered that the socket.recvfrom_into() function failed to check the size of the supplied buffer. This could lead to a buffer overflow when the function was called with an insufficiently sized buffer.
Clone Of:
Environment:
Last Closed: 2016-11-03 21:05:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1064 normal SHIPPED_LIVE Moderate: python27 security, bug fix, and enhancement update 2015-06-04 12:28:00 UTC
Red Hat Product Errata RHSA-2015:1330 normal SHIPPED_LIVE Moderate: python security, bug fix, and enhancement update 2015-07-20 18:00:12 UTC

Description Vincent Danen 2014-02-06 18:16:46 UTC
A vulnerability was reported [1] in Python's socket module, due to a boundary error within the sock_recvfrom_into() function, which could be exploited to cause a buffer overflow.  This could be used to crash a Python application that uses the socket.recvfrom_info() function or, possibly, execute arbitrary code with the permissions of the user running vulnerable Python code.

This vulnerable function, socket.recvfrom_into(), was introduced in Python 2.5.  Earlier versions are not affected by this flaw.  This is fixed in upstream branches for version 2.7 [2] and version 3.3 [3].


[1] http://bugs.python.org/issue20246
[2] http://hg.python.org/cpython/rev/87673659d8f7
[3] http://hg.python.org/cpython/rev/7f176a45211f/

Comment 2 Vincent Danen 2014-02-06 18:21:17 UTC
Created python tracking bugs for this issue:

Affects: fedora-all [bug 1062375]

Comment 3 Vincent Danen 2014-02-06 18:21:20 UTC
Created python3 tracking bugs for this issue:

Affects: fedora-all [bug 1062374]

Comment 5 Murray McAllister 2014-02-13 07:27:39 UTC
MITRE assigned CVE-2014-1912 to this issue:

http://seclists.org/oss-sec/2014/q1/336

Comment 6 Fedora Update System 2014-02-14 07:51:25 UTC
python-2.7.5-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-02-15 07:05:13 UTC
python3-3.3.2-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Vincent Danen 2014-10-02 13:46:00 UTC
Statement:

This issue did not affect the versions of python as shipped with Red Hat Enterprise Linux 5 as they did not include the vulnerable socket.recvfrom_into() function.  This issue was also corrected in the version of python shipped with Red Hat Enterprise Linux 7.0 prior to release.

The Red Hat Security Response Team has rated this issue as having Moderate security impact. A future update may address this issue in Red Hat Software Collections. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 14 Tomas Hoger 2014-10-27 13:41:25 UTC
This was fixed upstream in Python 3.3.4 and 2.7.7:

https://docs.python.org/3.3/whatsnew/changelog.html#python-3-3-4
https://hg.python.org/cpython/raw-file/f89216059edf/Misc/NEWS

Comment 16 Tomas Hoger 2014-10-27 14:52:09 UTC
Created python26 tracking bugs for this issue:

Affects: epel-5 [bug 1157721]

Comment 19 errata-xmlrpc 2015-06-04 08:29:49 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2015:1064 https://rhn.redhat.com/errata/RHSA-2015-1064.html

Comment 20 errata-xmlrpc 2015-07-22 06:39:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1330 https://rhn.redhat.com/errata/RHSA-2015-1330.html


Note You need to log in before you can comment on or make changes to this bug.